Index: /trunk/src/UPDATING
===================================================================
--- /trunk/src/UPDATING	(revision 151)
+++ /trunk/src/UPDATING	(revision 152)
@@ -1,3 +1,3 @@
-$NetBSD: UPDATING,v 1.178.2.1.2.1.2.1 2010/04/21 05:15:01 matt Exp $
+$NetBSD: UPDATING,v 1.178.2.1.2.1.2.2 2011/05/20 08:11:12 matt Exp $
 
 This file (UPDATING) is intended to be a brief reference to recent
@@ -16,4 +16,11 @@
 Recent changes:
 ^^^^^^^^^^^^^^^
+
+20090616:
+	Native Xorg was upgraded.  Builds will need a clean objdir for
+	src/external/mit/xorg.  Upgrading a system from sets will not
+	work properly yet as the /usr/X11R7/lib/X11/xkb/symbols/pc
+	subdirectory has been changed into a file, and this needs to
+	be manually "rm -r"'ed before installing xbase.tgz.
 
 20090530:
Index: /trunk/src/distrib/amd64/floppies/common/boot.cfg
===================================================================
--- /trunk/src/distrib/amd64/floppies/common/boot.cfg	(revision 151)
+++ /trunk/src/distrib/amd64/floppies/common/boot.cfg	(revision 152)
@@ -2,10 +2,10 @@
 banner================================================================================
 banner=
-banner=These diskettes do not have support for ACPI and may not work on some
-banner=modern hardware.  If the floppy disk installation does not work, please
-banner=try installing using a CD-ROM image.
+banner=ACPI should work on all modern and legacy hardware, however if you have
+banner=problems, please try disabling it.
 banner=
 menu=Install NetBSD:boot netbsd
-menu=Install NetBSD (no SMP):boot netbsd -12
+menu=Install NetBSD (no ACPI):boot netbsd -2
+menu=Install NetBSD (no ACPI, no SMP):boot netbsd -12
 menu=Drop to boot prompt:prompt
 timeout=10
Index: /trunk/src/distrib/notes/common/contents
===================================================================
--- /trunk/src/distrib/notes/common/contents	(revision 151)
+++ /trunk/src/distrib/notes/common/contents	(revision 152)
@@ -1,3 +1,3 @@
-.\"	$NetBSD: contents,v 1.143.2.6 2009/04/25 23:16:34 snj Exp $
+.\"	$NetBSD: contents,v 1.143.2.6.4.1 2011/05/20 08:11:14 matt Exp $
 .\"
 .\" Copyright (c) 1999-2005 The NetBSD Foundation, Inc.
@@ -489,53 +489,53 @@
 .\" XXX set sizes can be calculated using list-setsizes.sh
 .\"
-.if \n[acorn26] .setsize 28 80
-.if \n[acorn32] .setsize 28 80
-.if \n[algor] .setsize 30 95
-.if \n[alpha] .setsize 33 102
-.if \n[amd64] .setsize 34 100
-.if \n[amiga] .setsize 25 75
-.if \n[arc] .setsize 30 95
-.if \n[atari] .setsize 26 75
-.if \n[cats] .setsize 28 80
-.if \n[cesfic] .setsize 25 75
-.if \n[cobalt] .setsize 30 95
-.if \n[dreamcast] .setsize 27 73
-.if \n[evbarm] .setsize 28 80
-.if \n[evbmips] .setsize 30 95
-.if \n[evbppc] .setsize 27 79
-.if \n[evbsh3] .setsize 28 73
-.if \n[hp300] .setsize 25 75
-.if \n[hp700] .setsize 30 85
-.if \n[hpcarm] .setsize 28 80
-.if \n[hpcmips] .setsize 30 95
-.if \n[hpcsh] .setsize 28 73
-.if \n[i386] .setsize 26 76
-.if \n[ibmnws] .setsize 28 83
-.if \n[iyonix] .setsize 28 80
-.if \n[landisk] .setsize 28 73
-.if \n[luna68k] .setsize 25 75
-.if \n[mac68k] .setsize 25 75
-.if \n[macppc] .setsize 29 83
-.if \n[mipsco] .setsize 30 95
-.if \n[mmeye] .setsize 28 73
-.if \n[mvme68k] .setsize 25 75
-.if \n[mvmeppc] .setsize 28 83
-.if \n[netwinder] .setsize 28 80
-.if \n[news68k] .setsize 25 75
-.if \n[newsmips] .setsize 30 95
-.if \n[next68k] .setsize 25 75
-.if \n[ofppc] .setsize 28 83
+.if \n[acorn26] .setsize 28 81
+.if \n[acorn32] .setsize 28 81
+.if \n[algor] .setsize 30 96
+.if \n[alpha] .setsize 33 103
+.if \n[amd64] .setsize 34 101
+.if \n[amiga] .setsize 26 76
+.if \n[arc] .setsize 30 96
+.if \n[atari] .setsize 26 76
+.if \n[cats] .setsize 28 81
+.if \n[cesfic] .setsize 26 75
+.if \n[cobalt] .setsize 30 96
+.if \n[dreamcast] .setsize 28 74
+.if \n[evbarm] .setsize 28 81
+.if \n[evbmips] .setsize 30 96
+.if \n[evbppc] .setsize 27 80
+.if \n[evbsh3] .setsize 28 74
+.if \n[hp300] .setsize 26 75
+.if \n[hp700] .setsize 31 86
+.if \n[hpcarm] .setsize 28 81
+.if \n[hpcmips] .setsize 30 96
+.if \n[hpcsh] .setsize 28 74
+.if \n[i386] .setsize 26 77
+.if \n[ibmnws] .setsize 29 84
+.if \n[iyonix] .setsize 28 81
+.if \n[landisk] .setsize 28 74
+.if \n[luna68k] .setsize 26 75
+.if \n[mac68k] .setsize 26 75
+.if \n[macppc] .setsize 29 84
+.if \n[mipsco] .setsize 30 96
+.if \n[mmeye] .setsize 28 74
+.if \n[mvme68k] .setsize 26 76
+.if \n[mvmeppc] .setsize 29 84
+.if \n[netwinder] .setsize 28 81
+.if \n[news68k] .setsize 26 75
+.if \n[newsmips] .setsize 30 96
+.if \n[next68k] .setsize 26 75
+.if \n[ofppc] .setsize 29 84
 .if \n[pmax] .setsize 30 96
-.if \n[prep] .setsize 29 83
-.if \n[sandpoint] .setsize 28 83
-.if \n[sbmips] .setsize 30 95
-.if \n[sgimips] .setsize 30 95
-.if \n[shark] .setsize 28 80
-.if \n[sparc] .setsize 27 80
-.if \n[sparc64] .setsize 33 103
-.if \n[sun2] .setsize 166 413
-.if \n[sun3] .setsize 25 75
-.if \n[vax] .setsize 25 70
-.if \n[x68k] .setsize 26 75
+.if \n[prep] .setsize 29 84
+.if \n[sandpoint] .setsize 29 84
+.if \n[sbmips] .setsize 30 96
+.if \n[sgimips] .setsize 30 96
+.if \n[shark] .setsize 28 81
+.if \n[sparc] .setsize 27 81
+.if \n[sparc64] .setsize 33 104
+.if \n[sun2] .setsize 166 415
+.if \n[sun3] .setsize 26 75
+.if \n[vax] .setsize 25 71
+.if \n[x68k] .setsize 26 76
 .showsize
 .
@@ -551,49 +551,49 @@
 all of the utilities it contains, as well as the
 system call and library manual pages.
-.if \n[acorn26] .setsize 41 140
-.if \n[acorn32] .setsize 41 140
-.if \n[algor] .setsize 37 139
-.if \n[alpha] .setsize 49 206
-.if \n[amd64] .setsize 58 218
+.if \n[acorn26] .setsize 41 141
+.if \n[acorn32] .setsize 41 141
+.if \n[algor] .setsize 37 140
+.if \n[alpha] .setsize 50 207
+.if \n[amd64] .setsize 59 219
 .if \n[amiga] .setsize 36 130
-.if \n[arc] .setsize 37 139
-.if \n[atari] .setsize 35 130
-.if \n[cats] .setsize 41 140
-.if \n[cesfic] .setsize 35 130
-.if \n[cobalt] .setsize 37 139
-.if \n[dreamcast] .setsize 38 125
-.if \n[evbarm] .setsize 41 140
-.if \n[evbmips] .setsize 37 139
-.if \n[evbppc] .setsize 44 153
-.if \n[evbsh3] .setsize 39 125
+.if \n[arc] .setsize 37 140
+.if \n[atari] .setsize 36 130
+.if \n[cats] .setsize 41 141
+.if \n[cesfic] .setsize 36 130
+.if \n[cobalt] .setsize 37 140
+.if \n[dreamcast] .setsize 39 126
+.if \n[evbarm] .setsize 41 141
+.if \n[evbmips] .setsize 37 140
+.if \n[evbppc] .setsize 44 154
+.if \n[evbsh3] .setsize 39 126
 .if \n[hp300] .setsize 36 130
-.if \n[hp700] .setsize 44 148
-.if \n[hpcarm] .setsize 41 140
-.if \n[hpcmips] .setsize 37 139
-.if \n[hpcsh] .setsize 38 126
-.if \n[i386] .setsize 37 131
-.if \n[ibmnws] .setsize 44 153
-.if \n[iyonix] .setsize 41 140
-.if \n[landisk] .setsize 38 126
-.if \n[luna68k] .setsize 35 130
+.if \n[hp700] .setsize 44 149
+.if \n[hpcarm] .setsize 41 141
+.if \n[hpcmips] .setsize 37 140
+.if \n[hpcsh] .setsize 39 126
+.if \n[i386] .setsize 38 131
+.if \n[ibmnws] .setsize 44 154
+.if \n[iyonix] .setsize 41 141
+.if \n[landisk] .setsize 39 126
+.if \n[luna68k] .setsize 36 130
 .if \n[mac68k] .setsize 36 130
-.if \n[macppc] .setsize 44 153
-.if \n[mipsco] .setsize 37 139
-.if \n[mmeye] .setsize 39 125
-.if \n[mvme68k] .setsize 35 130
-.if \n[mvmeppc] .setsize 44 153
-.if \n[netwinder] .setsize 41 140
+.if \n[macppc] .setsize 44 154
+.if \n[mipsco] .setsize 37 140
+.if \n[mmeye] .setsize 39 126
+.if \n[mvme68k] .setsize 36 130
+.if \n[mvmeppc] .setsize 44 154
+.if \n[netwinder] .setsize 41 141
 .if \n[news68k] .setsize 36 130
-.if \n[newsmips] .setsize 37 139
+.if \n[newsmips] .setsize 37 140
 .if \n[next68k] .setsize 36 130
-.if \n[ofppc] .setsize 44 153
-.if \n[pmax] .setsize 37 139
-.if \n[prep] .setsize 44 153
-.if \n[sandpoint] .setsize 44 153
-.if \n[sbmips] .setsize 37 139
-.if \n[sgimips] .setsize 37 139
-.if \n[shark] .setsize 41 140
-.if \n[sparc] .setsize 39 140
-.if \n[sparc64] .setsize 59 225
+.if \n[ofppc] .setsize 44 154
+.if \n[pmax] .setsize 37 140
+.if \n[prep] .setsize 44 154
+.if \n[sandpoint] .setsize 44 154
+.if \n[sbmips] .setsize 37 140
+.if \n[sgimips] .setsize 37 140
+.if \n[shark] .setsize 41 141
+.if \n[sparc] .setsize 39 141
+.if \n[sparc64] .setsize 59 226
 .if \n[sun2] .setsize 30 108
 .if \n[sun3] .setsize 36 130
@@ -1121,5 +1121,5 @@
 .if \n[sbmips] .setsize 7 23
 .if \n[sgimips] .setsize 8 25
-.if \n[shark] .setsize 7 22
+.if \n[shark] .setsize 8 22
 .if \n[sparc] .setsize 7 20
 .if \n[sparc64] .setsize 8 25
@@ -1133,9 +1133,9 @@
 The extra libraries and include files needed to compile X source code.
 .\" Shareable within MACHINE_ARCH (NIH)
-.if \n[acorn26] .setsize 14 48
-.if \n[acorn32] .setsize 14 48
+.if \n[acorn26] .setsize 14 49
+.if \n[acorn32] .setsize 14 49
 .if \n[algor] .setsize 11 42
 .if \n[alpha] .setsize 16 70
-.if \n[amd64] .setsize 16 62
+.if \n[amd64] .setsize 16 63
 .if \n[amiga] .setsize 11 43
 .if \n[arc] .setsize 11 42
@@ -1145,37 +1145,37 @@
 .if \n[cobalt] .setsize 11 42
 .if \n[dreamcast] .setsize 13 43
-.if \n[evbarm] .setsize 14 48
+.if \n[evbarm] .setsize 14 49
 .if \n[evbmips] .setsize 11 42
-.if \n[evbppc] .setsize 13 48
+.if \n[evbppc] .setsize 14 48
 .if \n[evbsh3] .setsize 13 43
 .if \n[hp300] .setsize 11 43
 .if \n[hp700] .setsize 15 51
-.if \n[hpcarm] .setsize 14 48
+.if \n[hpcarm] .setsize 14 49
 .if \n[hpcmips] .setsize 11 42
 .if \n[hpcsh] .setsize 13 43
 .if \n[i386] .setsize 14 48
-.if \n[ibmnws] .setsize 13 48
-.if \n[iyonix] .setsize 14 48
+.if \n[ibmnws] .setsize 14 48
+.if \n[iyonix] .setsize 14 49
 .if \n[landisk] .setsize 13 43
 .if \n[luna68k] .setsize 11 43
 .if \n[mac68k] .setsize 11 43
-.if \n[macppc] .setsize 16 55
+.if \n[macppc] .setsize 17 55
 .if \n[mipsco] .setsize 11 42
 .if \n[mmeye] .setsize 13 43
 .if \n[mvme68k] .setsize 11 43
-.if \n[mvmeppc] .setsize 13 48
-.if \n[netwinder] .setsize 14 48
+.if \n[mvmeppc] .setsize 14 48
+.if \n[netwinder] .setsize 14 49
 .if \n[news68k] .setsize 11 43
 .if \n[newsmips] .setsize 11 42
 .if \n[next68k] .setsize 11 43
-.if \n[ofppc] .setsize 13 48
+.if \n[ofppc] .setsize 14 48
 .if \n[pmax] .setsize 11 42
-.if \n[prep] .setsize 13 48
-.if \n[sandpoint] .setsize 13 48
+.if \n[prep] .setsize 14 48
+.if \n[sandpoint] .setsize 14 48
 .if \n[sbmips] .setsize 11 42
-.if \n[sgimips] .setsize 12 47
-.if \n[shark] .setsize 16 55
+.if \n[sgimips] .setsize 13 48
+.if \n[shark] .setsize 17 56
 .if \n[sparc] .setsize 13 47
-.if \n[sparc64] .setsize 16 65
+.if \n[sparc64] .setsize 17 65
 .if \n[sun2] .setsize -unknown- -unknown-
 .if \n[sun3] .setsize 11 43
@@ -1286,5 +1286,5 @@
 .if \n[algor] .setsize 5 15
 .if \n[alpha] .setsize 8 19
-.if \n[amd64] .setsize 14 44
+.if \n[amd64] .setsize 9 26
 .if \n[amiga] .setsize 5 11
 .if \n[arc] .setsize 5 15
@@ -1303,5 +1303,5 @@
 .if \n[hpcmips] .setsize 6 17
 .if \n[hpcsh] .setsize 5 11
-.if \n[i386] .setsize 12 34
+.if \n[i386] .setsize 8 21
 .if \n[ibmnws] .setsize 5 12
 .if \n[iyonix] .setsize 5 12
@@ -1309,5 +1309,5 @@
 .if \n[luna68k] .setsize 4 10
 .if \n[mac68k] .setsize 5 13
-.if \n[macppc] .setsize 12 34
+.if \n[macppc] .setsize 7 19
 .if \n[mipsco] .setsize 5 15
 .if \n[mmeye] .setsize 5 9
@@ -1323,8 +1323,8 @@
 .if \n[sandpoint] .setsize 5 12
 .if \n[sbmips] .setsize 5 15
-.if \n[sgimips] .setsize 7 21
-.if \n[shark] .setsize 10 26
+.if \n[sgimips] .setsize 5 15
+.if \n[shark] .setsize 5 14
 .if \n[sparc] .setsize 13 35
-.if \n[sparc64] .setsize 12 42
+.if \n[sparc64] .setsize 7 19
 .if \n[sun2] .setsize -unknown- -unknown-
 .if \n[sun3] .setsize 6 16
Index: /trunk/src/distrib/notes/common/xfer
===================================================================
--- /trunk/src/distrib/notes/common/xfer	(revision 151)
+++ /trunk/src/distrib/notes/common/xfer	(revision 152)
@@ -1,3 +1,3 @@
-.\"	$NetBSD: xfer,v 1.63.2.1 2009/04/25 23:16:34 snj Exp $
+.\"	$NetBSD: xfer,v 1.63.2.1.4.1 2011/05/20 08:11:14 matt Exp $
 .\"
 .\" Copyright (c) 1999-2004 The NetBSD Foundation, Inc.
@@ -656,8 +656,8 @@
 .Sy ftp.NetBSD.org
 is
-.Li 204.152.190.13
+.Li 204.152.190.15
 and the IPv6 address is
-.Li 2001:4f8:3:7:230:48ff:fe31:43f2
-(as of April, 2009).
+.Li 2001:4f8:3:7:230:48ff:fec6:9aaa:21
+(as of May, 2010).
 .Pp
 Once you have this information, you can proceed to the next
Index: /trunk/src/distrib/notes/macppc/prep.OPENFIRMWARE
===================================================================
--- /trunk/src/distrib/notes/macppc/prep.OPENFIRMWARE	(revision 151)
+++ /trunk/src/distrib/notes/macppc/prep.OPENFIRMWARE	(revision 152)
@@ -1,3 +1,3 @@
-.\"	$NetBSD: prep.OPENFIRMWARE,v 1.11.2.1 2009/04/25 23:16:35 snj Exp $
+.\"	$NetBSD: prep.OPENFIRMWARE,v 1.11.2.1.4.1 2011/05/20 08:11:15 matt Exp $
 .if \*[OF_VERSION_3] \{\
 .
@@ -1269,5 +1269,5 @@
 .Ic rawrite32.exe
 from
-.Lk http://www.duskware.com/rawrite32/
+.Lk http://www.NetBSD.org/~martin/rawrite32/
 .Pp
 .It
@@ -1573,5 +1573,5 @@
 .Ic rawrite32.exe
 from
-.Lk http://www.duskware.com/rawrite32/
+.Lk http://www.NetBSD.org/~martin/rawrite32/
 .Pp
 Be certain you have selected the correct disk, as it will erase the
Index: /trunk/src/distrib/sets/lists/comp/mi
===================================================================
--- /trunk/src/distrib/sets/lists/comp/mi	(revision 151)
+++ /trunk/src/distrib/sets/lists/comp/mi	(revision 152)
@@ -1,3 +1,3 @@
-#	$NetBSD: mi,v 1.1201.2.9.2.1.2.4 2010/04/21 05:20:40 matt Exp $
+#	mi,v 1.1201.2.9.2.1.2.5 2011/04/29 07:43:18 matt Exp
 #
 # Note: don't delete entries from here - mark them as "obsolete" instead.
@@ -45,4 +45,5 @@
 ./usr/bin/menuc					comp-c-bin
 ./usr/bin/mkstr					comp-c-bin
+./usr/bin/mkubootimage				comp-util-bin
 ./usr/bin/msgattrib				comp-c-bin
 ./usr/bin/msgc					comp-c-bin
@@ -2050,4 +2051,5 @@
 ./usr/include/sys/times.h			comp-c-include
 ./usr/include/sys/timex.h			comp-c-include
+./usr/include/sys/tls.h				comp-c-include
 ./usr/include/sys/tprintf.h			comp-obsolete		obsolete
 ./usr/include/sys/trace.h			comp-c-include
@@ -2892,4 +2894,5 @@
 ./usr/libdata/debug/usr/bin/mkstr.debug		comp-c-debug		debug
 ./usr/libdata/debug/usr/bin/mktemp.debug	comp-util-debug		debug
+./usr/libdata/debug/usr/bin/mkubootimage.debug	comp-util-debug		debug
 ./usr/libdata/debug/usr/bin/modstat.debug	comp-util-debug		!modular,debug
 ./usr/libdata/debug/usr/bin/mset.debug		comp-tn3270-debug	debug
Index: /trunk/src/distrib/utils/sysinst/Makefile.inc
===================================================================
--- /trunk/src/distrib/utils/sysinst/Makefile.inc	(revision 151)
+++ /trunk/src/distrib/utils/sysinst/Makefile.inc	(revision 152)
@@ -1,3 +1,3 @@
-#	$NetBSD: Makefile.inc,v 1.47 2008/10/25 22:27:34 apb Exp $
+#	$NetBSD: Makefile.inc,v 1.47.8.1 2010/08/19 15:37:27 matt Exp $
 #
 # Makefile for sysinst
@@ -38,5 +38,6 @@
 
 CPPFLAGS+=	-I. -I${.CURDIR}/../.. -I${.CURDIR} \
-		-DREL=\"${DISTRIBVER}\" -DMACH=\"${MACHINE}\"
+		-DREL=\"${DISTRIBVER}\" -DMACH=\"${MACHINE}\" \
+		-DMACH_${MACHINE} -DARCH_${MACHINE_ARCH}
 
 .if defined(SMALLPROG_INET6) && (${USE_INET6} != "no")
Index: /trunk/src/distrib/utils/sysinst/arch/evbmips/md.h
===================================================================
--- /trunk/src/distrib/utils/sysinst/arch/evbmips/md.h	(revision 151)
+++ /trunk/src/distrib/utils/sysinst/arch/evbmips/md.h	(revision 152)
@@ -1,3 +1,3 @@
-/* $NetBSD: md.h,v 1.2 2007/11/12 15:07:35 jmmv Exp $ */
+/* $NetBSD: md.h,v 1.2.22.2 2011/05/13 17:10:36 matt Exp $ */
 
 /*
@@ -51,11 +51,26 @@
  *  The standard sets are: base etc comp games man misc tests text
  */
+
+#if defined(ARCH_mipsel) || defined(ARCH_mipseb)
 #define SET_KERNEL_1_NAME	"kern-ALCHEMY"
 #define SET_KERNEL_2_NAME	"kern-AR531X"
 #define SET_KERNEL_3_NAME	"kern-DBAU1500"
 #define SET_KERNEL_4_NAME	"kern-DBAU1550"
-#define SET_KERNEL_5_NAME       "kern-MALTA"
-#define SET_KERNEL_6_NAME       "kern-MTX-1"
-#define SET_KERNEL_7_NAME       "kern-OMSAL400"
+#define SET_KERNEL_5_NAME	"kern-MALTA"
+#endif
+#if defined(ARCH_mipsel)
+#define SET_KERNEL_6_NAME	"kern-MTX-1"
+#define SET_KERNEL_7_NAME	"kern-OMSAL400"
+#endif
+
+#if defined(ARCH_mips64eb) || defined(ARCH_mips64el)
+#define SET_KERNEL_4_NAME	"kern-MALTA32"
+#define SET_KERNEL_3_NAME	"kern-MALTA64"
+#define SET_KERNEL_2_NAME	"kern-XLSATX32"
+#define SET_KERNEL_1_NAME	"kern-XLSATX64"
+#endif
+
+#undef evbmips
+#undef evbmips64
 
 #define MD_SETS_SELECTED	SET_SYSTEM
Index: /trunk/src/distrib/utils/sysinst/mbr.c
===================================================================
--- /trunk/src/distrib/utils/sysinst/mbr.c	(revision 151)
+++ /trunk/src/distrib/utils/sysinst/mbr.c	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: mbr.c,v 1.79.20.1 2010/04/21 05:20:43 matt Exp $ */
+/*	$NetBSD: mbr.c,v 1.79.20.2 2011/05/20 08:11:15 matt Exp $ */
 
 /*
@@ -1157,6 +1157,6 @@
 	msg_display(MSG_editparttable);
 
-	msg_table_add(MSG_part_header, dlsize/sizemult, multname, multname,
-	    multname, multname);
+	msg_table_add(MSG_part_header, (unsigned long)(dlsize/sizemult),
+	    multname, multname, multname, multname);
 
 	if (num_opts == 0) {
@@ -1283,4 +1283,8 @@
 	}
 
+	/* Default to MB, and use bios geometry for cylinder size */
+	set_sizemultname_meg();
+	current_cylsize = bhead * bsec;
+
 	mbr_menu = new_menu(NULL, NULL, 16, 0, -1, 15, 70,
 			MC_NOBOX | MC_ALWAYS_SCROLL | MC_NOCLEAR,
@@ -1289,8 +1293,4 @@
 	if (mbr_menu == -1)
 		return 0;
-
-	/* Default to MB, and use bios geometry for cylinder size */
-	set_sizemultname_meg();
-	current_cylsize = bhead * bsec;
 
 	for (;;) {
@@ -1378,4 +1378,43 @@
 }
 
+#ifdef BOOTSEL
+static int
+validate_and_set_names(mbr_info_t *mbri, const struct mbr_bootsel *src,
+    uint32_t ext_base)
+{
+	size_t i, l;
+	const unsigned char *p;
+
+	/*
+	 * The 16 bit magic used to detect wether mbr_bootsel is valid
+	 * or not is pretty week - collisions have been seen in the wild;
+	 * but maybe it is just foreign tools corruption reminiscents
+	 * of NetBSD MBRs. Anyway, before accepting a boot menu definition,
+	 * make sure it is kinda "sane".
+	 */
+
+	for (i = 0; i < MBR_PART_COUNT; i++) {
+		/*
+		 * Make sure the name does not contain controll chars
+		 * (not using iscntrl due to minimalistic locale support
+		 * in miniroot environments) and is properly 0-terminated.
+		 */
+		for (l = 0, p = (const unsigned char *)&src->mbrbs_nametab[i];
+		    *p != 0; l++, p++) {
+			if (l >	MBR_BS_PARTNAMESIZE)
+				return 0;
+			if (*p < ' ')	/* hacky 'iscntrl' */
+				return 0;
+		}
+	}
+
+	memcpy(&mbri->mbrb, src, sizeof(*src));
+
+	if (ext_base == 0)
+		return mbri->mbrb.mbrbs_defkey - SCAN_1;
+	return 0;
+}
+#endif
+
 int
 read_mbr(const char *disk, mbr_info_t *mbri)
@@ -1435,13 +1474,12 @@
 		if (mbrs->mbr_bootsel_magic == htole16(MBR_MAGIC)) {
 			/* old bootsel, grab bootsel info */
-			mbri->mbrb = *(struct mbr_bootsel *)
-				((uint8_t *)mbrs + MBR_BS_OLD_OFFSET);
-			if (ext_base == 0)
-				bootkey = mbri->mbrb.mbrbs_defkey - SCAN_1;
+			bootkey = validate_and_set_names(mbri, 
+				(struct mbr_bootsel *)
+				((uint8_t *)mbrs + MBR_BS_OLD_OFFSET),
+				ext_base);
 		} else if (mbrs->mbr_bootsel_magic == htole16(MBR_BS_MAGIC)) {
 			/* new location */
-			mbri->mbrb = mbrs->mbr_bootsel;
-			if (ext_base == 0)
-				bootkey = mbri->mbrb.mbrbs_defkey - SCAN_1;
+			bootkey = validate_and_set_names(mbri,
+			    &mbrs->mbr_bootsel, ext_base);
 		}
 		/* Save original flags for mbr code update tests */
Index: /trunk/src/distrib/utils/sysinst/msg.mbr.de
===================================================================
--- /trunk/src/distrib/utils/sysinst/msg.mbr.de	(revision 151)
+++ /trunk/src/distrib/utils/sysinst/msg.mbr.de	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: msg.mbr.de,v 1.8 2007/02/15 12:00:15 rillig Exp $	*/
+/*	$NetBSD: msg.mbr.de,v 1.8.28.1 2011/05/20 08:11:15 matt Exp $	*/
 
 /*
@@ -67,5 +67,5 @@
 /* the %s's will expand into three character strings */
 message part_header
-{   Festplattenkapazität insgesamt %d %s.
+{   Festplattenkapazität insgesamt %lu %s.
 
 .if BOOTSEL
Index: /trunk/src/distrib/utils/sysinst/msg.mbr.en
===================================================================
--- /trunk/src/distrib/utils/sysinst/msg.mbr.en	(revision 151)
+++ /trunk/src/distrib/utils/sysinst/msg.mbr.en	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: msg.mbr.en,v 1.13 2006/04/23 23:09:48 hubertf Exp $	*/
+/*	$NetBSD: msg.mbr.en,v 1.13.36.1 2011/05/20 08:11:15 matt Exp $	*/
 
 /*
@@ -68,5 +68,5 @@
 /* the %s's will expand into three character strings */
 message part_header
-{   Total disk size %d %s.
+{   Total disk size %lu %s.
 
 .if BOOTSEL
Index: /trunk/src/distrib/utils/sysinst/msg.mbr.es
===================================================================
--- /trunk/src/distrib/utils/sysinst/msg.mbr.es	(revision 151)
+++ /trunk/src/distrib/utils/sysinst/msg.mbr.es	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: msg.mbr.es,v 1.4 2005/12/08 16:51:45 xtraeme Exp $	*/
+/*	$NetBSD: msg.mbr.es,v 1.4.36.1 2011/05/20 08:11:15 matt Exp $	*/
 
 /*
@@ -67,5 +67,5 @@
 /* the %s's will expand into three character strings */
 message part_header
-{   Tamaño total del disco %d %s.
+{   Tamaño total del disco %lu %s.
 
 .if BOOTSEL
Index: /trunk/src/distrib/utils/sysinst/msg.mbr.fr
===================================================================
--- /trunk/src/distrib/utils/sysinst/msg.mbr.fr	(revision 151)
+++ /trunk/src/distrib/utils/sysinst/msg.mbr.fr	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: msg.mbr.fr,v 1.14 2006/09/04 22:00:52 hubertf Exp $	*/
+/*	$NetBSD: msg.mbr.fr,v 1.14.34.1 2011/05/20 08:11:15 matt Exp $	*/
 
 /*
@@ -64,5 +64,5 @@
 /* the %s's will expand into three character strings */
 message part_header
-{   Taille totale du disque %d %s.
+{   Taille totale du disque %lu %s.
 
 .if BOOTSEL
Index: /trunk/src/distrib/utils/sysinst/msg.mbr.pl
===================================================================
--- /trunk/src/distrib/utils/sysinst/msg.mbr.pl	(revision 151)
+++ /trunk/src/distrib/utils/sysinst/msg.mbr.pl	(revision 152)
@@ -1,3 +1,3 @@
-/*	$NetBSD: msg.mbr.pl,v 1.11 2006/09/19 14:47:10 hubertf Exp $	*/
+/*	$NetBSD: msg.mbr.pl,v 1.11.34.1 2011/05/20 08:11:15 matt Exp $	*/
 
 /*
@@ -62,5 +62,5 @@
 /* the %s's will expand into three character strings */
 message part_header
-{   Calkowity rozmiar dysku %d %s.
+{   Calkowity rozmiar dysku %lu %s.
 
 .if BOOTSEL
Index: /trunk/src/doc/3RDPARTY
===================================================================
--- /trunk/src/doc/3RDPARTY	(revision 151)
+++ /trunk/src/doc/3RDPARTY	(revision 152)
@@ -1,3 +1,3 @@
-#      $NetBSD: 3RDPARTY,v 1.647.2.6 2009/03/02 20:24:26 snj Exp $
+#      $NetBSD: 3RDPARTY,v 1.647.2.6.4.1 2011/05/20 08:11:15 matt Exp $
 #
 # This file contains a list of the software that has been integrated into
@@ -68,14 +68,14 @@
 
 Package:	ath-hal
-Version:	0.9.17.2
-Current Vers:	0.9.17.2
+Version:	FreeBSD SVN revision number 185521
+Current Vers:	FreeBSD SVN revision number 185521
 Maintainer:	Sam Leffler <sam@errno.com>
 Archive Site:	none
 Home Page:	none
 Mailing List:	none
-Responsible:	sam, dyoung, gdamore
-License:	Redistribution without changes (binary only)
-Notes:
-The HAL is binary only, and located in src/sys/contrib/dev/ath
+Responsible:	sam, alc
+License:	BSD-like (2 clause), ISC
+Notes:
+The HAL is located in src/sys/external/isc/atheros_hal
 
 Package:	bc
@@ -92,6 +92,6 @@
 
 Package:	bind/named
-Version:	libc/includes: 9.5.0, bind: 9.5.0
-Current Vers:	9.5.0-P2
+Version:	libc/includes: 9.5.0, bind: 9.5.2-P2
+Current Vers:	9.5.2-P2
 Maintainer:	Paul Vixie <vixie@vix.com>
 Archive Site:	ftp://ftp.isc.org/isc/bind9/
@@ -233,6 +233,6 @@
 
 Package:	dhcpcd
-Version:	4.0.10
-Current Vers:	4.0.10
+Version:	5.0.1
+Current Vers:	5.0.1
 Maintainer:	roy
 Archive Site:	ftp://roy.marples.name/pub/dhcpcd/
@@ -754,12 +754,12 @@
 
 Package:	postfix
-Version:	2.5.4
-Current Vers:	2.5.5
+Version:	2.6.5
+Current Vers:	2.6.5
 Maintainer:	Wietse Venema <wietse@porcupine.org>
 Archive Site:	ftp://postfix.cloud9.net/official/
 Home Page:	http://www.postfix.org/
 Mailing List:	postfix-users@postfix.org
-Responsible:	heas
-License:	IBM Public License. See also src/gnu/dist/postfix.
+Responsible:	christos, tron
+License:	IBM Public License. See also src/external/ibm-public/postfix/dist.
 Notes:
 HTML documentation should be kept in sync with the README_FILES.
Index: /trunk/src/doc/BUILDING.mdoc
===================================================================
--- /trunk/src/doc/BUILDING.mdoc	(revision 151)
+++ /trunk/src/doc/BUILDING.mdoc	(revision 152)
@@ -1,3 +1,3 @@
-.\"	$NetBSD: BUILDING.mdoc,v 1.67.2.2 2008/11/15 22:10:33 snj Exp $
+.\"	$NetBSD: BUILDING.mdoc,v 1.67.2.2.4.1 2011/05/20 08:11:16 matt Exp $
 .\"
 .\" Copyright (c) 2001-2008 The NetBSD Foundation, Inc.
@@ -34,5 +34,5 @@
 .ds toolprefix nb
 .
-.Dd September 10, 2008
+.Dd May 1, 2009
 .Dt BUILDING 8
 .Os NetBSD
@@ -513,4 +513,11 @@
 to include RCS IDs for use with
 .Xr ident 1 .
+.DFLTn
+.
+.It Sy MKSUBPIXEL
+.YorN
+For X builds, decides if subpixel rendering code in FreeType
+is turned on.
+Turned off by default because of patent issues.
 .DFLTn
 .
Index: /trunk/src/doc/CHANGES
===================================================================
--- /trunk/src/doc/CHANGES	(revision 151)
+++ /trunk/src/doc/CHANGES	(revision 152)
@@ -1,3 +1,3 @@
-# LIST OF CHANGES FROM LAST RELEASE:			<$Revision: 1.1142.2.7 $>
+# LIST OF CHANGES FROM LAST RELEASE:			<$Revision: 1.1142.2.7.4.1 $>
 #
 #
@@ -1162,2 +1162,6 @@
 		openssl API related security fix.  [kardel 20090108]
 	dhcpcd(8): Import 4.0.10 [roy 20090204]
+	dhcpcd(8): Import dhcpcd-5.0.1 [roy 20090510]
+	hdaudio(4): New standards-compliant Intel High Definition Audio driver
+		written to replace azalia(4). [sborrill 20090906]
+	ums(4):	Add touchpanel support. [mbalmer 20091127]
Index: /trunk/src/doc/LAST_MINUTE
===================================================================
--- /trunk/src/doc/LAST_MINUTE	(revision 151)
+++ /trunk/src/doc/LAST_MINUTE	(revision 152)
@@ -1,5 +1,5 @@
-#	$NetBSD: LAST_MINUTE,v 1.2.30.1 2008/10/31 03:49:53 agc Exp $
+#	$NetBSD: LAST_MINUTE,v 1.2.30.1.4.1 2011/05/20 08:11:16 matt Exp $
 
-This file contains important information on the NetBSD 5.0 release that
+This file contains important information on the NetBSD 5.1 release that
 did not make it into the main documentation.
 
Index: /trunk/src/doc/README.files
===================================================================
--- /trunk/src/doc/README.files	(revision 151)
+++ /trunk/src/doc/README.files	(revision 152)
@@ -1,3 +1,3 @@
-#	$NetBSD: README.files,v 1.4.10.2 2009/04/24 06:33:06 snj Exp $
+#	$NetBSD: README.files,v 1.4.10.2.4.1 2011/05/20 08:11:16 matt Exp $
 
 What's in this directory:
@@ -6,4 +6,6 @@
 
 CHANGES-5.0	Changes between the initial 5.0 branch and final release of 5.0.
+
+CHANGES-5.1	Changes between the 5.0 and 5.1 releases.
 
 CHANGES.prev	Changes in previous NetBSD releases.
@@ -21,5 +23,5 @@
 In addition to the files and directories listed above, there is one
 directory per architecture, for each of the architectures for which
-NetBSD 5.0 has a binary distribution.  The contents of each
+NetBSD 5.1 has a binary distribution.  The contents of each
 architecture's directory are described in an "INSTALL" file found in
 that directory.
Index: /trunk/src/gnu/lib/libbfd/arch/alpha/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/alpha/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/alpha/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
Index: /trunk/src/gnu/lib/libbfd/arch/arm/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/arm/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/arm/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
Index: /trunk/src/gnu/lib/libbfd/arch/armeb/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/armeb/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/armeb/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
Index: /trunk/src/gnu/lib/libbfd/arch/hppa/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/hppa/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/hppa/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
Index: /trunk/src/gnu/lib/libbfd/arch/i386/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/i386/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/i386/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
Index: /trunk/src/gnu/lib/libbfd/arch/m68000/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/m68000/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/m68000/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
Index: /trunk/src/gnu/lib/libbfd/arch/m68k/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/m68k/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/m68k/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
Index: /trunk/src/gnu/lib/libbfd/arch/mips64eb/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/mips64eb/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/mips64eb/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
Index: /trunk/src/gnu/lib/libbfd/arch/mips64el/bfd.h
===================================================================
--- /trunk/src/gnu/lib/libbfd/arch/mips64el/bfd.h	(revision 151)
+++ /trunk/src/gnu/lib/libbfd/arch/mips64el/bfd.h	(revision 152)
@@ -1611,4 +1611,5 @@
 #define bfd_mach_mips5                 5
 #define bfd_mach_mips_sb1              12310201 /* octal 'SB', 01 */
+#define bfd_mach_mips_xlr              887682   /* decimal 'XLR'  */
 #define bfd_mach_mipsisa32             32
 #define bfd_mach_mipsisa32r2           33
